
Foreman - Bug #7003

Unable to connect to AD through ldap login module

08/08/2014 03:42 PM - Leah Fisher

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Authentication   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1673

  

Description

Using settings that worked with the 1.5.2, I am unable to connect to AD for logins in the nightly release.  I see the following in the

logs:

LDAP-Auth with User lrf

Error during authentication: LdapError: no start_tls result

invalid user

I am trying to connect to the ldap server over ldaps.

Related issues:

Related to Foreman - Feature #813: Support AD group membership for authorizat... Closed 03/31/2011

Related to Foreman - Bug #5414: LDAP + TLS is not LDAP + TLS but LDAP + SSL Closed 04/23/2014

Related to Foreman - Bug #7016: Make Foreman support StartTLS Closed

Related to Foreman - Bug #7066: Unable to bind with DOMAIN\$login any longer Closed 08/13/2014

Related to Foreman - Bug #7065: LDAP not able to authenticate user when passw... New 08/13/2014

Related to Foreman - Feature #36026: Make Foreman support StartTLS on LDAP co... New

Associated revisions

Revision 02432b49 - 08/13/2014 10:22 AM - Daniel Lobato Garcia

Fixes #7003 - Revert LDAP to simple_tls

Revision 6733d911 - 08/27/2014 08:02 AM - Daniel Lobato Garcia

Fixes #7003 - Revert LDAP to simple_tls

(cherry picked from commit 02432b498a6b01faed2615e4ddbc16f38648ea35)

History

#1 - 08/08/2014 04:38 PM - Jason Berry

Git log of file app/models/auth_sources/auth_source_ldap.rb shows commit 6421fa1ca91743085dd5460a82db37388d520638 changed the tls method

from "simple_tls" to "start_tls".

#2 - 08/11/2014 03:48 AM - Dominic Cleal

- Related to Feature #813: Support AD group membership for authorization and authentication added

#3 - 08/11/2014 03:48 AM - Dominic Cleal

- Related to Bug #5414: LDAP + TLS is not LDAP + TLS but LDAP + SSL added

#4 - 08/11/2014 03:50 AM - Dominic Cleal

- Category set to Authentication

- translation missing: en.field_release set to 10
Yeah, we seem to be muddled about this.  The UI label used to say "TLS" although it was SSL-on-connect (LDAPS), we just fixed that and then

changed the implementation to TLS (which I hadn't realised during review, good find Jason) while implementing group support and ldap_fluff.

Does AD provide TLS/STARTTLS style, or only LDAPS?  If not, we should do both I think.

#5 - 08/11/2014 05:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1673 added

- Pull request deleted ()

#6 - 08/11/2014 05:50 AM - Daniel Lobato Garcia

Thanks Leah and Jason, I've reverted the change in the attached PR. I also opened http://projects.theforeman.org/issues/7016 to track support of

StartTLS.

#7 - 08/11/2014 05:51 AM - Dominic Cleal

- Related to Bug #7016: Make Foreman support StartTLS added

#8 - 08/11/2014 10:36 AM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

#9 - 08/13/2014 10:25 AM - Leah Fisher

- Related to Bug #7066: Unable to bind with DOMAIN\$login any longer added

#10 - 08/13/2014 10:25 AM - Leah Fisher

- Related to Bug #7065: LDAP not able to authenticate user when password has a space in it added

#11 - 08/13/2014 11:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 02432b498a6b01faed2615e4ddbc16f38648ea35.

#12 - 02/01/2023 10:19 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #36026: Make Foreman support StartTLS on LDAP connections added
